<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Savage Avengers</Series>
  <Number>16</Number>
  <Web>https://www.comixology.com/Savage-Avengers-2019-16/digital-comic/892590</Web>
  <Volume>2019</Volume>
  <Summary>LET’S GO TO LIMBO! Magik joins Conan with guest Avenger the Black Knight and...the Juggernaut. An Asgardian dragon with the second eye of Agamotto doesn’t stand a chance. Or maybe he does. Either way, the Sweet Sixteenth of this comic is going to be a knock-down, drag-out fight that will punch you upside the head. Fair warning.</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB892590], [RELDATE:2020-12-16]</Notes>
  <Publisher>Marvel</Publisher>
  <Genre>Superhero</Genre>
  <PageCount>24</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
